## GtkBorderCombo GtkBorderCombo — A border combo widget |

## Functions

GtkWidget * | gtk_border_combo_new ()

## Signals

void | changed | Run First

## Types and Values

struct | GtkBorderCombo

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GtkHBox
                                ╰── GtkComboButton
                                    ╰── GtkBorderCombo

## Implemented Interfaces

GtkBorderCombo implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <gtkextra.h>

## Description

It is a GtkComboBox subclass with a variety of border styles in the popdown window arranged in a table of togglebuttons.

## Functions

### gtk_border_combo_new ()

    GtkWidget *
    gtk_border_combo_new (void);

## Types and Values

### struct GtkBorderCombo

    struct GtkBorderCombo;

The GtkBorderCombo struct contains only private data. It should only be accessed through the functions described below.

## Signal Details

### The `“changed”` signal

    void
    user_function (GtkBorderCombo *border_combo,
                   gint            selection,
                   gpointer        user_data)

Emmited when the GtkBorderCombo's state is changed

#### Parameters

border_combo | the GtkBorderCombo object that received the signal |
selection | the number of selected item |
user_data | user data set when the signal handler was connected. |

Flags: Run First